	character*30 f1,aa*12,dd*12
	k=iargc()
	if(k.eq.0)then
	  write(*,*)'               usage: ep2ep filename'
	  write(*,*)'                                      2000.7'
	  write(*,*)
	  write(*,*)'          context in file:'
	  write(*,*)'            old_epoch  new_epoch'
	  write(*,*)'            a1 d1'
	  write(*,*)'            a2 d2'
          write(*,*)'            ......'
          write(*,*)'                     output file ep2ep.tmp'
	  stop
	endif
        pi=4.*datan(1d0)
        cx=pi/12.
        cy=pi/180.
	call getarg(1,f1)
	open(1,file=f1,status='old',iostat=i)
	if(i.ne.0)stop ' file not found!'
	open(2,file='ep2ep.tmp',status='new',iostat=i)
	read(1,*)eold,enew
20	read(1,'(a)',end=100)f1
	if(itohd(f1,a,d,dummy).eq.0)then
          write(*,"(' ??? ',a)")f1
	  goto 20
	endif
	call astprs(a,d,eold,a1,d1,enew)
	call toms(a1,aa,1)
	call toms(d1,dd,0)
	write(2,'(2a,f7.1)')aa(2:),dd,enew
	write(*,'(2a,f6.1,4a,f6.1,a)')f1,' (',eold,') ---> ',aa,dd, '(',enew,')'
	goto 20
100	close(2)
	end


